# $Revision: 1.52.2.1 $, $Date: 2004/02/21 00:59:50 $
Summary:	Utility for managing filesystem extended attributes
Summary(pl):	Narzdzia do zarzdzania rozszerzonymi atrybutami systemu plikw
Name:		attr
Version:	2.4.14
Release:	2
# most part is on LGPL v2.1, but the rest enforces GPL
License:	GPL
Group:		Applications/System
Source0:	ftp://linux-xfs.sgi.com/projects/xfs/download/cmd_tars/%{name}-%{version}.src.tar.gz
# Source0-md5:	816543754a6c61a066fae7749fa75473
Source1:	%{name}-pl.po
Patch0:		%{name}-miscfix.patch
URL:		http://oss.sgi.com/projects/xfs/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	xfsprogs-devel 
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_bindir		/bin
%define		_libdir		/%{_lib}
%define		_libexecdir	/usr/%{_lib}

%description
An experimental attr command to manipulate extended attributes under
Linux.

%description -l pl
Eksperymentalna wersja polecenia attr to zarzdzania rozszerzonymi
atrybutami pod systemem Linux.

%package devel
Summary:	Header files and libraries to use extended attributes
Summary(pl):	Pliki nagwkowe i biblioteki do korzystania z rozszerzonych atrybutw
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files to develop software which manipulate extended attributes.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia oprogramowania manipulujcego
rozszerzonymi atrybutami.

%package static
Summary:	Static libraries for extended attributes
Summary(pl):	Biblioteki statyczne do korzystania z rozszerzonych atrybutw
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries for extended attributes.

%description static -l pl
Biblioteki statyczne do korzystania z rozszerzonych atrybutw.

%prep
%setup -q
%patch0 -p1

cp %{SOURCE1} po/pl.po
%{__perl} -pi -e 's/^(LINGUAS.*)/$1 pl/' po/Makefile

%build
rm -f aclocal.m4
%{__aclocal} -I m4
%{__autoconf}
%configure \
	DEBUG="%{?debug:-DDEBUG}%{!?debug:-DNDEBUG}" \
	OPTIMIZER="%{rpmcflags} -DENABLE_GETTEXT"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

DIST_ROOT=$RPM_BUILD_ROOT
DIST_INSTALL=`pwd`/install.manifest
DIST_INSTALL_DEV=`pwd`/install-dev.manifest
DIST_INSTALL_LIB=`pwd`/install-lib.manifest
export DIST_ROOT DIST_INSTALL DIST_INSTALL_DEV DIST_INSTALL_LIB

%{__make} install \
	DIST_MANIFEST=$DIST_INSTALL
%{__make} install-dev \
	DIST_MANIFEST=$DIST_INSTALL_DEV
%{__make} install-lib \
	DIST_MANIFEST=$DIST_INSTALL_LIB

rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{attr_getf,attr_listf}.3
rm -f	$RPM_BUILD_ROOT%{_mandir}/man3/{attr_multif,attr_removef,attr_setf}.3
rm -rf	$RPM_BUILD_ROOT%{_mandir}/man2

ln -sf %{_libdir}/$(cd $RPM_BUILD_ROOT%{_libdir} ; echo libattr.so.*.*.*) \
	 $RPM_BUILD_ROOT%{_libexecdir}/libattr.so

echo ".so attr_get.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_getf.3
echo ".so attr_list.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_listf.3
echo ".so attr_multi.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_multif.3
echo ".so attr_remove.3" > $RPM_BUILD_ROOT%{_mandir}/man3/attr_removef.3
echo ".so attr_set.3"	> $RPM_BUILD_ROOT%{_mandir}/man3/attr_setf.3

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README doc/CHANGES
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_mandir}/man[158]/*

%files devel
%defattr(644,root,root,755)
%{_libexecdir}/lib*.la
%attr(755,root,root) %{_libexecdir}/lib*.so
%{_includedir}/attr
%{_mandir}/man3/*

%files static
%defattr(644,root,root,755)
%{_libexecdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: attr.spec,v $
Revision 1.52.2.1  2004/02/21 00:59:50  ankry
- rel. 2

Revision 1.52  2004/01/28 21:14:01  qboosh
- updated to 2.4.14, added pl.po, actually enabled gettext

Revision 1.51  2004/01/13 08:57:57  trojan
- updated to 2.4.13

Revision 1.50  2004/01/02 14:52:39  jajcus
- Release: 2 (STBR after AMD64 fixes)

Revision 1.49  2003/12/19 00:40:13  jajcus
- use proper libdirs

Revision 1.48  2003/12/08 11:03:55  yoshi
- Added missing BR: gettext-devel.
- Tested on *devel* free system, it builds.

Revision 1.47  2003/12/07 09:50:50  djurban
- buildrequire only xfs-progs not 2.6.0+ (builds)

Revision 1.46  2003/12/01 09:46:24  areq
- 2.4.12

Revision 1.45  2003/10/09 14:06:28  qboosh
- e2fsprogs-devel is not used - removed BR

Revision 1.44  2003/08/25 19:22:08  ankry
- sync pl and en

Revision 1.43  2003/08/25 09:42:05  mmazur
- rel2 for ac

Revision 1.42  2003/08/22 10:29:08  areq
- 2.4.8

Revision 1.41  2003/08/08 19:49:33  qboosh
- optimize, more fixes in miscfix patch to properly detect headers

Revision 1.39  2003/08/05 23:20:53  grzegol
- updated to 2.4.7
- updated miscfix patch

Revision 1.38  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.37  2003/06/16 12:17:58  ankry
- cosmetics

Revision 1.36  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.35  2003/05/25 05:45:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/05/14 07:42:48  qboosh
- moved attr(5) man to base (useful for users), release 3

Revision 1.33  2003/05/06 21:49:27  qboosh
- autodetect libattr filename when creating libattr.so symlink
- added README to doc

Revision 1.32  2003/04/30 08:17:04  misi3k
- rel 2
- fixed symlink

Revision 1.31  2003/04/30 08:02:24  misi3k
- updated to 2.4.1

Revision 1.30  2003/03/10 22:44:11  qboosh
- man2 pages are in man-pages now (these are pure Linux/new glibc calls)
- release 2

Revision 1.29  2003/02/11 09:31:04  trojan
- updated to 2.2.0
- added %%find_lang

Revision 1.28  2002/11/27 11:09:35  areq
- 2.1.1, STBR

Revision 1.27  2002/11/26 10:57:09  ankry
- 2nd .la file attributes massive attack

Revision 1.26  2002/08/13 16:03:38  baggins
- fixed libattr.so symlink

Revision 1.25  2002/08/13 15:56:45  baggins
- updated to 2.0.9

Revision 1.24  2002/07/20 17:52:19  qboosh
- added missing attr(5) manual
- release 2

Revision 1.23  2002/07/20 14:12:07  areq
- 2.0.8, STBR
- new %doc

Revision 1.22  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/04/30 13:40:27  pioklo
-update to 2.0.7,STBR

Revision 1.20  2002/04/25 15:49:30  arturs
fixed a small typo

Revision 1.19  2002/04/09 19:28:43  ankry
- removed man section from .so redirections
- release 2

Revision 1.18  2002/04/09 07:56:45  areq
- 2.0.5, STBR

Revision 1.17  2002/04/03 09:01:18  kloczek
- addes static subpackage and Requires rule for main package in devel.

Revision 1.16  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:42  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/06 23:11:07  filon
- updated to 1.1.4 (bugfxes)

Revision 1.13  2002/02/02 19:56:05  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/01/18 02:12:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2002/01/03 18:12:40  baggins
- run ldconfig in %%post(un)

Revision 1.10  2002/01/02 18:42:58  baggins
- fixed wrong symlink

Revision 1.9  2001/10/08 16:11:55  baggins
- shared lib fix

Revision 1.8  2001/10/08 15:51:43  baggins
- added shared libs

Revision 1.7  2001/10/08 15:42:25  baggins
- updated to 1.1.3

Revision 1.6  2001/06/04 15:54:12  baggins
- removed requires %%{name} from devel package (not needed)

Revision 1.5  2001/06/01 13:25:54  baggins
- added Requires %%{name} = %%{version} to devel package

Revision 1.4  2001/06/01 13:10:37  baggins
- updated to 1.0.3

Revision 1.3  2001/05/01 20:55:45  kloczek
- spec adapterized,
- more macros and some cosmetics.

Revision 1.2  2001/05/01 20:48:38  misiek
manual pages added to devel subpackage

Revision 1.1  2001/05/01 20:46:51  misiek
utilities and library to manipulate extended attributes
